REM
REM IBM Confidential
REM OCO Source Materials
REM Rational ClearQuest
REM (C) Copyright IBM Corp. 2006. All Rights Reserved. 
REM
REM The source code for this program is not published or otherwise
REM divested of its trade secrets, irrespective of what has been
REM deposited with the U.S. Copyright Office.
REM
REM=========================================================================================
REM cq_ora_user_clob.sql - Run this file to setup proper privs for ClearQuest Oracle user
REM=========================================================================================
REM 
REM Run this using an Oracle dba user
REM i.e. sqlplus <dbauser>/<password>@<tnsname> @setup_cq_ora_user.sql <cquser>

define cquser = &1
prompt ... granting CTXAPP role
GRANT ctxapp TO &cquser;
prompt ... granting select on ctxsys.ctx_indexes
GRANT SELECT ON ctxsys.ctx_indexes TO &cquser;
-- if this hasn't been done the error message returned on select count(*) from ctxsys.ctx_indexes will be:
-- ERROR at line 1:
-- ORA-00942: table or view does not exist

quit;
